# kinoko-perl.pl
# Created by Sanshiro Enomoto on 3 November 2001.
# Last updated by Sanshiro Enomoto on 3 November 2000.


($kcom_script) = @ARGV;
($kcom_script ne "") or die "USAGE: kinoko KcomScriptName <options>\n";

$kinoko_root = $ENV{KINOKO_ROOT};
($kinoko_root ne "") or die "ERROR: environment variable KINOKO_ROOT is not defined.\n";

if (fork == 0) {
    my $file = "$kinoko_root/scripts/splash/";

    my ($sec, $min, $hour, $mday, $month, $year) = localtime(time);
    $month += 1;
    if (($month == 12) || ($month <= 2)) {
	$file .= "KinokoSplash-2-Winter.xpm";
    }
    elsif ($month <= 5) {
	$file .= "KinokoSplash-2-Spring.xpm";
    }
    elsif ($month <= 8) {
	$file .= "KinokoSplash-2-Summer.xpm";
    }
    else {
	$file .= "KinokoSplash-2-Fall.xpm";
    }
    
    exec "kinoko-splash", "$file", "--time=2000";
}

exec "kcom-manager", @ARGV;
